# XMLHandler (ARX GUI Documentation)

org.deidentifier.arx.gui.worker.io

## Class XMLHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.deidentifier.arx.gui.worker.io.XMLHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

      public abstract class XMLHandler
      extends org.xml.sax.helpers.DefaultHandler

  The default XML handler.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `payload` The payload

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `protected abstract boolean` | `end(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
    `protected abstract boolean` | `start(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### payload

          public java.lang.String payload

      The payload

  - ### Constructor Detail

    - #### XMLHandler

          public XMLHandler()

  - ### Method Detail

    - #### characters

          public void characters(char[] ch,
                        int start,
                        int length)
                          throws org.xml.sax.SAXException

      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String uri,
                        java.lang.String localName,
                        java.lang.String qName)
                          throws org.xml.sax.SAXException

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### startElement

          public void startElement(java.lang.String uri,
                          java.lang.String localName,
                          java.lang.String qName,
                          org.xml.sax.Attributes attributes)
                            throws org.xml.sax.SAXException

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### end

          protected abstract boolean end(java.lang.String uri,
                    java.lang.String localName,
                    java.lang.String qName)
                                  throws org.xml.sax.SAXException

      Parameters:
        `uri` -
        `localName` -
        `qName` -
      Returns:
      Throws:
        `org.xml.sax.SAXException`

    - #### start

          protected abstract boolean start(java.lang.String uri,
                      java.lang.String localName,
                      java.lang.String qName,
                      org.xml.sax.Attributes attributes)
                                    throws org.xml.sax.SAXException

      Parameters:
        `uri` -
        `localName` -
        `qName` -
        `attributes` -
      Returns:
      Throws:
        `org.xml.sax.SAXException`